高德地图SDK(导航) V11.2.0501

Loading...
Searching...
No Matches
Instance Methods | Class Methods | Properties | List of all members
MAMapStatus Class Reference

`#include <MAMapStatus.h>`

Inheritance diagram for MAMapStatus:

## Instance Methods
(id) | - initWithCenterCoordinate:zoomLevel:rotationDegree:cameraDegree:screenAnchor:
| 根据指定参数初始化对应的status Initialize the corresponding status according to the specified parameters

## Class Methods
(instancetype) | + statusWithCenterCoordinate:zoomLevel:rotationDegree:cameraDegree:screenAnchor:
| 根据指定参数生成对应的status Generate the corresponding status based on the specified parameters

## Properties
CLLocationCoordinate2D | centerCoordinate
CGFloat | zoomLevel
CGFloat | rotationDegree
CGFloat | cameraDegree
CGPoint | screenAnchor

## Detailed Description

地图状态对象 Map status object

## Method Documentation

## ◆ initWithCenterCoordinate:zoomLevel:rotationDegree:cameraDegree:screenAnchor:

- (id) initWithCenterCoordinate: |  | (CLLocationCoordinate2D) | coordinate
zoomLevel: |  | (CGFloat) | zoomLevel
rotationDegree: |  | (CGFloat) | rotationDegree
cameraDegree: |  | (CGFloat) | cameraDegree
screenAnchor: |  | (CGPoint) | screenAnchor

根据指定参数初始化对应的status Initialize the corresponding status according to the specified parameters

Parameters

  coordinate | 地图的中心点，改变该值时，地图的比例尺级别不会发生变化 The center point of the map, changing this value will not affect the map's scale level
  zoomLevel | 缩放级别 Zoom level
  rotationDegree | 设置地图旋转角度(逆时针为正向) Set the map rotation angle (counterclockwise is positive)
  cameraDegree | 设置地图相机角度(范围为[0.f, 45.f]) Set the map camera angle (range [0.f, 45.f])
  screenAnchor | 地图的视图锚点。坐标系归一化，(0, 0)为MAMapView左上角，(1, 1)为右下角。默认为(0.5, 0.5)，即当前地图的视图中心 The view anchor point of the map. The coordinate system is normalized, with (0, 0) being the top-left corner of MAMapView and (1, 1) being the bottom-right corner. Default is (0.5, 0.5), which is the center of the current map view.

Returns
  生成的Status Generated Status

## ◆ statusWithCenterCoordinate:zoomLevel:rotationDegree:cameraDegree:screenAnchor:

+ (instancetype) statusWithCenterCoordinate: |  | (CLLocationCoordinate2D) | coordinate
zoomLevel: |  | (CGFloat) | zoomLevel
rotationDegree: |  | (CGFloat) | rotationDegree
cameraDegree: |  | (CGFloat) | cameraDegree
screenAnchor: |  | (CGPoint) | screenAnchor

根据指定参数生成对应的status Generate the corresponding status based on the specified parameters

Parameters

  coordinate | 地图的中心点，改变该值时，地图的比例尺级别不会发生变化 The center point of the map, changing this value will not affect the map's scale level
  zoomLevel | 缩放级别 Zoom level
  rotationDegree | 设置地图旋转角度(逆时针为正向) Set the map rotation angle (counterclockwise is positive)
  cameraDegree | 设置地图相机角度(范围为[0.f, 45.f]) Set the map camera angle (range [0.f, 45.f])
  screenAnchor | 地图的视图锚点。坐标系归一化，(0, 0)为MAMapView左上角，(1, 1)为右下角。默认为(0.5, 0.5)，即当前地图的视图中心 The view anchor point of the map. The coordinate system is normalized, with (0, 0) being the top-left corner of MAMapView and (1, 1) being the bottom-right corner. Default is (0.5, 0.5), which is the center of the current map view.

Returns
  生成的Status Generated Status

## Property Documentation

## ◆ cameraDegree

- (CGFloat) cameraDegree
| read write nonatomic assign

设置地图相机角度(范围为[0.f, 45.f]) Set the map camera angle (range [0.f, 45.f])

## ◆ centerCoordinate

- (CLLocationCoordinate2D) centerCoordinate
| read write nonatomic assign

地图的中心点，改变该值时，地图的比例尺级别不会发生变化 The center point of the map, when this value is changed, the scale level of the map will not change

## ◆ rotationDegree

- (CGFloat) rotationDegree
| read write nonatomic assign

设置地图旋转角度(逆时针为正向), 单位度, [0,360) Set the rotation angle of the map (counterclockwise is positive), in degrees, [0,360)

## ◆ screenAnchor

- (CGPoint) screenAnchor
| read write nonatomic assign

地图的视图锚点。坐标系归一化，(0, 0)为MAMapView左上角，(1, 1)为右下角。默认为(0.5, 0.5)，即当前地图的视图中心 The view anchor point of the map. The coordinate system is normalized, with (0, 0) at the top-left corner of MAMapView and (1, 1) at the bottom-right corner. Default is (0.5, 0.5), which is the center of the current map view.

## ◆ zoomLevel

- (CGFloat) zoomLevel
| read write nonatomic assign

缩放级别 Zoom level

The documentation for this class was generated from the following file:

- MAMapStatus.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。